import { RuleResult } from "./rules.js";
/**
 * Flags when a type value has changed.
 */
export function flagTypeDifferencesRule(data) {
    if (!data.path)
        return RuleResult.ContinueProcessing;
    const path = data.path.join(".");
    const lastPath = data.path[data.path.length - 1];
    if (lastPath !== "type")
        return RuleResult.ContinueProcessing;
    const lhs = data.lhs ?? "undefined";
    const rhs = data.rhs ?? "undefined";
    const message = `Type changed from '${lhs}' to '${rhs}'.`;
    return [RuleResult.FlaggedViolation, message];
}
//# sourceMappingURL=flag-type-differences.js.map